// Programm lx_test13.cpp zum Test der
// Potenzfunktion pow(x,y):

#include <iostream>       // Wegen cout
#include "lx_interval.hpp"
#include "lx_imath.hpp"

using namespace cxsc;
using namespace std;

int main()
{
    stagprec = 20; 
    lx_interval X,N,Y;

    X = lx_interval(0,"[5,5]")/3;
    N = lx_interval(0,"[1.071e9,1.071e9]");
    Y = pow(X,N);  // (5/3)^(1071000000) < Y
    Y = pow(Y,1/N); // 5/3 < Y;

    cout << SetDotPrecision(16*stagprec,16*stagprec) 
	 << Scientific;
    cout << "Y = " << Y << endl;
}
